package model

import (
	"time"
)

type UserRelate struct {
	Id         int64     `json:"id" xorm:"pk autoincr comment('主键') BIGINT(10)"`
	ParentUid  int       `json:"parent_uid" xorm:"not null default 0 comment('上级会员ID') unique(idx_union_u_p_id) INT(20)"`
	Uid        int       `json:"uid" xorm:"not null default 0 comment('关联UserID') unique(idx_union_u_p_id) INT(20)"`
	Level      int       `json:"level" xorm:"not null default 1 comment('推广等级(1直属，大于1非直属)') INT(10)"`
	InviteTime time.Time `json:"invite_time" xorm:"not null default CURRENT_TIMESTAMP comment('邀请时间') TIMESTAMP"`
}
